package com.ejie.m62fb.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import org.codehaus.jackson.annotate.JsonIgnore;



/**
 * M62r01t0- Table BD reference 
XXXX
 */

public class ViviendaActMasiva extends Vivienda implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * Method 'ViviendaActMasiva'.
	 */
	public ViviendaActMasiva() {
	}

	/**
	 * Method 'ViviendaActMasiva'.
	 * 
	 * @param numVivienda
	 *            BigDecimal
	 */
	public ViviendaActMasiva(BigDecimal numVivienda) {
		super(numVivienda);
	}
            //Usado para la actualizacion masiva de elementos
            private String rowIds;
            private String type;
            //Estos son los que se utilizan para insertar
        	private ContratoViviendaActMasiva contratoVivienda = new ContratoViviendaActMasiva();
        	private ContratoAlquilerActMasiva contratoAlquiler = new ContratoAlquilerActMasiva();
        	@JsonIgnore
        	private List<ContratoViviendaActMasiva> contratosVivienda = new ArrayList<ContratoViviendaActMasiva>();
        	private ContratoViviendaActMasiva contratoVivienda1 = new ContratoViviendaActMasiva();
        	private ContratoViviendaActMasiva contratoVivienda2 = new ContratoViviendaActMasiva();
        	private ContratoViviendaActMasiva contratoVivienda3 = new ContratoViviendaActMasiva();
			@JsonIgnore
        	private List<ContratoAlquilerActMasiva> contratosAlquiler = new ArrayList<ContratoAlquilerActMasiva>();
			private ContratoAlquilerActMasiva contratoAlquiler1 = new ContratoAlquilerActMasiva();
			private ContratoAlquilerActMasiva contratoAlquiler2 = new ContratoAlquilerActMasiva();
			private ContratoAlquilerActMasiva contratoAlquiler3 = new ContratoAlquilerActMasiva();
        	/**
			 * @return the contratosVivienda
			 */
			@JsonIgnore
			public List<ContratoViviendaActMasiva> getContratosVivienda() {
				return contratosVivienda;
			}

			/**
			 * @param contratosVivienda the contratosVivienda to set
			 */
			public void setContratosVivienda(List<ContratoViviendaActMasiva> contratosVivienda) {
				this.contratosVivienda = contratosVivienda;
				if(contratosVivienda.size()>0){
					contratoVivienda = contratosVivienda.get(0); 
				}
				if(contratosVivienda.size()>1){
					contratoVivienda1 = contratosVivienda.get(1); 
				}
				if(contratosVivienda.size()>2){
					contratoVivienda2 = contratosVivienda.get(2); 
				}
				if(contratosVivienda.size()>3){
					contratoVivienda3 = contratosVivienda.get(3); 
				}
			}

			/**
			 * @return the contratoVivienda1
			 */
			public ContratoViviendaActMasiva getContratoVivienda1() {
				return contratoVivienda1;
			}

			/**
			 * @param contratoVivienda1 the contratoVivienda1 to set
			 */
			public void setContratoVivienda1(ContratoViviendaActMasiva contratoVivienda1) {
				this.contratoVivienda1 = contratoVivienda1;
			}

			/**
			 * @return the contratoVivienda2
			 */
			public ContratoViviendaActMasiva getContratoVivienda2() {
				return contratoVivienda2;
			}

			/**
			 * @param contratoVivienda2 the contratoVivienda2 to set
			 */
			public void setContratoVivienda2(ContratoViviendaActMasiva contratoVivienda2) {
				this.contratoVivienda2 = contratoVivienda2;
			}

			/**
			 * @return the contratoVivienda3
			 */
			public ContratoViviendaActMasiva getContratoVivienda3() {
				return contratoVivienda3;
			}

			/**
			 * @param contratoVivienda3 the contratoVivienda3 to set
			 */
			public void setContratoVivienda3(ContratoViviendaActMasiva contratoVivienda3) {
				this.contratoVivienda3 = contratoVivienda3;
			}

			/**
			 * @return the contratoAlquiler1
			 */
			public ContratoAlquilerActMasiva getContratoAlquiler1() {
				return contratoAlquiler1;
			}

			/**
			 * @param contratoAlquiler1 the contratoAlquiler1 to set
			 */
			public void setContratoAlquiler1(ContratoAlquilerActMasiva contratoAlquiler1) {
				this.contratoAlquiler1 = contratoAlquiler1;
			}

			/**
			 * @return the contratoAlquiler2
			 */
			public ContratoAlquilerActMasiva getContratoAlquiler2() {
				return contratoAlquiler2;
			}

			/**
			 * @param contratoAlquiler2 the contratoAlquiler2 to set
			 */
			public void setContratoAlquiler2(ContratoAlquilerActMasiva contratoAlquiler2) {
				this.contratoAlquiler2 = contratoAlquiler2;
			}

			/**
			 * @return the contratoAlquiler3
			 */
			public ContratoAlquilerActMasiva getContratoAlquiler3() {
				return contratoAlquiler3;
			}

			/**
			 * @param contratoAlquiler3 the contratoAlquiler3 to set
			 */
			public void setContratoAlquiler3(ContratoAlquilerActMasiva contratoAlquiler3) {
				this.contratoAlquiler3 = contratoAlquiler3;
			}

			/**
			 * @return the contratosAlquiler
			 */
			@JsonIgnore
			public List<ContratoAlquilerActMasiva> getContratosAlquiler() {
				return contratosAlquiler;
			}

			/**
			 * @param contratosAlquiler the contratosAlquiler to set
			 */
			public void setContratosAlquiler(List<ContratoAlquilerActMasiva> contratosAlquiler) {
				this.contratosAlquiler = contratosAlquiler;
				if(contratosAlquiler.size()>0){
					contratoAlquiler = contratosAlquiler.get(0); 
				}
				if(contratosAlquiler.size()>1){
					contratoAlquiler1 = contratosAlquiler.get(1); 
				}
				if(contratosAlquiler.size()>2){
					contratoAlquiler2 = contratosAlquiler.get(2); 
				}
				if(contratosAlquiler.size()>03){
					contratoAlquiler3 = contratosAlquiler.get(3); 
				}
			}


			/**
			 * @return the contratoVivienda
			 */
			public ContratoViviendaActMasiva getContratoVivienda() {
				return contratoVivienda;
			}

			/**
			 * @param contratoVivienda the contratoVivienda to set
			 */
			public void setContratoVivienda(ContratoViviendaActMasiva contratoVivienda) {
				this.contratoVivienda = contratoVivienda;
			}

			/**
			 * @return the contratoAlquiler
			 */
			public ContratoAlquilerActMasiva getContratoAlquiler() {
				return contratoAlquiler;
			}

			/**
			 * @param contratoAlquiler the contratoAlquiler to set
			 */
			public void setContratoAlquiler(ContratoAlquilerActMasiva contratoAlquiler) {
				this.contratoAlquiler = contratoAlquiler;
			}

			/**
			 * @return the type
			 */
			public String getType() {
				return type;
			}

			/**
			 * @param type the type to set
			 */
			public void setType(String type) {
				this.type = type;
			}

			/**
			 * @return the rowIds
			 */
			public String getRowIds() {
				return rowIds;
			}

			/**
			 * @param rowIds the rowIds to set
			 */
			public void setRowIds(String rowIds) {
				this.rowIds = rowIds;
			}

}

